Skip to main content
POST
Convert a rental to a reserved term

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
rentalId
required

The rental's rentalId.

Minimum string length: 1
termPeriodDays
integer
required

Any whole number of days from 1 to 30 where custom reservation lengths are enabled for your account; otherwise one of the standard terms in options from GET /v2/on-demand/reserve-options.

Required range: 1 <= x <= 30
expectedTotalPriceCents
integer
required
Required range: x <= 9007199254740991

Response

Successful response

An on-demand rental converted to reserved, and what it cost.

rentalId
string
required
reservedUntil
string<date-time>
required
Example:

"2025-01-31T12:00:00.000Z"

amountChargedCents
number
required
usageTailCents
number
required